Skip to main content
GET
/
domain-research
/
backlink-portfolio
List backlinks
curl --request GET \
  --url https://api.beeze.io/v1/domain-research/backlink-portfolio \
  --header 'x-api-key: <api-key>'
{
  "data": [
    {
      "source_url": "<string>",
      "source_domain": "<string>",
      "target_url": "<string>",
      "anchor_text": "<string>",
      "source_title": "<string>",
      "source_trust_flow": 123,
      "source_citation_flow": 123,
      "source_domain_rating": 123,
      "source_organic_traffic": 123,
      "is_nofollow": true,
      "is_redirect": true,
      "is_image_link": true,
      "first_indexed_at": "2023-11-07T05:31:56Z",
      "last_seen_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "count": 123,
    "limit": 123,
    "hasMore": true
  }
}

Authorizations

x-api-key
string
header
required

API key for external Beeze API access

Query Parameters

project
string

Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.

Minimum string length: 1
offset
integer
default:0
Required range: x >= 0
limit
integer
Required range: 1 <= x <= 100
sort_by
enum<string>

Column to sort by

Available options:
source_url,
source_domain,
target_url,
anchor_text,
source_trust_flow,
source_citation_flow,
source_domain_rating,
source_organic_traffic,
first_indexed_at,
last_seen_at
sort_direction
enum<string>

Sort direction

Available options:
asc,
desc

Response

Paginated list of backlinks

data
object[]
required
pagination
object
required